# GNUmakefile          Section: 12.2, Chain Code
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS = chain-code.h
LOBJS   = chain-code.o

SOURCES	= chain-code.h chain-code.c  test-chain-code.c
TESTS	= test-chain-code

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs striped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip


#######################################################################

include	../../gnumake.iah

#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

chain-code.o:	chain-code.h chain-code.c

test-chain-code:	test-chain-code.o  chain-code.o
	${LINK.cc} -o $@ $@.o chain-code.o ${LDLIBS}
	strip $@
